# -*- coding: utf-8 -*-
#
# This module contains the configuration of the individual eric5 installation
#

_pkg_config = {
    'ericDir': r'/usr/share/eric/modules',
    'ericPixDir': r'/usr/share/eric/pixmaps',
    'ericIconDir': r'/usr/share/eric/icons',
    'ericDTDDir': r'/usr/share/eric/DTDs',
    'ericCSSDir': r'/usr/share/eric/CSSs',
    'ericStylesDir': r'/usr/share/eric/Styles',
    'ericDocDir': r'/usr/share/doc/eric',
    'ericExamplesDir': r'/usr/share/doc/eric/Examples',
    'ericTranslationsDir': r'/usr/share/qt4/translations',
    'ericTemplatesDir': r'/usr/share/eric/DesignerTemplates',
    'ericCodeTemplatesDir': r'/usr/share/eric/CodeTemplates',
    'ericOthersDir': r'/usr/share/eric',
    'bindir': r'/usr/bin',
    'mdir': r'/usr/share/eric/modules',
    'apidir': r'/usr/share/eric/api',
    'apis': ['zope-2.11.2.api', 'zope-3.3.1.api', 'zope-2.10.7.api', 'eric5.api', 'Ruby-1.9.1.api', 'Ruby-1.8.7.api', 'eric5.api'],
}

def getConfig(name):
    '''
    Module function to get a configuration value.

    @param name name of the configuration value (string)
    '''
    try:
        return _pkg_config[name]
    except KeyError:
        pass

    raise AttributeError('"{0}" is not a valid configuration value'.format(name))
